Bug 1128522 - SPEC cleanup and update
Summary: SPEC cleanup and update
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: menu-cache
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 02:34 UTC by Christopher Meng
Modified: 2015-07-11 15:56 UTC (History)
1 user (show)

Fixed In Version: menu-cache-1.0.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-11 15:56:43 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-08-11 02:34:04 UTC
Hi,

I just added this to the cnucnu tracking system as 0.6 has been released for a while, some suggestions to the spec:

1. Drop obsoleted macro/stuffs in the spec

2. Drop hard Requires:       pkgconfig in -devel, RPM will detect.

3. Requiring base package should use isa macro:

Requires:       %{name}%{?_isa} = %{version}-%{release}

Thanks.

Comment 1 Jaroslav Reznik 2015-03-03 16:11:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22


Note You need to log in before you can comment on or make changes to this bug.